'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _camelcase = require('camelcase');

var _camelcase2 = _interopRequireDefault(_camelcase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ValidNameRegex = /^[a-z][a-z0-9]+$/;

const AlphabeticalCharacterRegex = /[a-z]/i;

exports.default = name => {
  if (ValidNameRegex.test(name)) {
    return name;
  }

  const firstCharacter = name.slice(0, 1);

  if (!AlphabeticalCharacterRegex.test(firstCharacter)) {
    throw new Error('Invalid name.');
  }

  const firstCharacterUpperCase = firstCharacter.toUpperCase() === firstCharacter;

  const camelCaseName = (0, _camelcase2.default)(name);

  if (firstCharacterUpperCase) {
    return camelCaseName.slice(0, 1).toUpperCase() + camelCaseName.slice(1);
  }

  return camelCaseName;
};